package com.qgs.dc.mq.entity;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.qgs.dc.mq.entity.common.Header;
import com.qgs.dc.mq.entity.common.Returns;
import lombok.Data;

import java.util.HashMap;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2021/8/12 15:38
 */
@Data
@JSONType(orders={"header","body","return"})
public class MQMessage {
    private Header header;
    @JSONField(jsonDirect = true)
    private String body;
    //在序列化和反序列化 的时候 都会把 json 里面的return字段转成 object 里面的returns字段
    @JSONField(name = "return")
    private Returns returns;


}